/*******************************************************************
*
*  Auto Generated File
*
*  DESCRIPTION: Simulator::registerNewAtomics()
*
*  This registration file is used to describe the atomic models that can be used to compose coupled models.
*
*
*******************************************************************/

#include "modeladm.h" 
#include "mainsimu.h"
#include "queue.h"      // class Queue
#include "generat.h"    // class Generator
#include "cpu.h"        // class CPU
#include "transduc.h"   // class Transducer
#include "trafico.h"    // class Trafico
#include "kitchen_procType.h"	// class kitchen_procType
#include "queue_controlType.h"	// class queue_controlType
#include "order_packingType.h"	// class order_packingType

#include "order_windowType.h"        // class order_windowType

void MainSimulator::registerNewAtomics()
{
	// Register Built-in models
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Queue>() , "Queue" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Generator>() , "Generator" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<CPU>() , "CPU" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Transducer>() , "Transducer" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<Trafico>() , "Trafico" ) ;


	// Register custom models
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<order_windowType>(), "order_windowType" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<kitchen_procType>() , "kitchen_procType" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<queue_controlType>() , "queue_controlType" ) ;
	SingleModelAdm::Instance().registerAtomic( NewAtomicFunction<order_packingType>() , "order_packingType" ) ;
}
